#pragma once
#include "afxwin.h"


// CDialogConfigTab3 對話方塊

class CDialogConfigTab3 : public CDialog
{
	DECLARE_DYNAMIC(CDialogConfigTab3)

public:
	CDialogConfigTab3(CWnd* pParent = NULL);   // 標準建構函式
	virtual ~CDialogConfigTab3();

// 對話方塊資料
	enum { IDD = IDD_DIALOG3 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支援

	DECLARE_MESSAGE_MAP()

	BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

public:
	CEdit m_CEdit_GPO1_Status;
	CComboBox m_CComboBox_SetGPO1;
	CEdit m_CEdit_GPO2_Status;
	CComboBox m_CComboBox_SetGPO2;
	CEdit m_CEdit_GPO3_Status;
	CComboBox m_CComboBox_SetGPO3;
	CEdit m_CEdit_GPO4_Status;
	CComboBox m_CComboBox_SetGPO4;
	CEdit m_CEdit_GPI1;
	CEdit m_CEdit_GPI2;
	CEdit m_CEdit_GPI3;
	CEdit m_CEdit_GPI4;
	CEdit m_CEdit_ProgramLED1;
	CComboBox m_CComboBox_ProgramLED1;
	CEdit m_CEdit_ProgramLED2;
	CComboBox m_CComboBox_ProgramLED2;
	CEdit m_CEdit_ProgramLED3;
	CComboBox m_CComboBox_ProgramLED3;
	CEdit m_CEdit_ProgramLED_Alarm;
	CComboBox m_CComboBox_ProgramLED_Alarm;
	CEdit m_CEdit_WakeOnLan;
	CComboBox m_CComboBox_WakeOnLan;
	CEdit m_CEdit_External12V;
	CComboBox m_CComboBox_External12V;
	
	void fnGetGPOStatus();
	void fnGetGPIStatus();
	void fnGetWakeOnLanStatus();
	void fnGetExternal12VStatus();
	void fnGetProgramLEDStatus();

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();

public:
	BOOL m_isDoCommand;
	void DoCommand();
	unsigned int m_nStep;
	void ResetDoCommand();
};
